The file of the current version, inline (tenant:dms:read)
GET /api/dms/v1/documents/{id}/preview
Module: DMS · operationId: previewDocument · Tag: Documents · Auth: access token (Authorization: Bearer <accessToken>)
Like getDocumentContent, always with Content-Disposition: inline (encrypted documents still as attachment). Audited as VIEW; same errors (403 infected, 409 not_scanned).
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | string (uuid) | yes |
Responses
- 200 The stored file with its MIME type (
*/*) - 403 Error (
application/json) - 404 Error (
application/json) - 409 Error (
application/json) - 503 Error (
application/json)
Example request
curl -X GET 'https://api.mbcom.cloud/api/dms/v1/documents/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12/preview' \
-H "Authorization: Bearer $ACCESS_TOKEN"